//
//  ViewController.m
//  YHFlowerMenu
//
//  Created by baiwei－mac on 16/7/14.
//  Copyright © 2016年 BWDV. All rights reserved.
//

#import "ViewController.h"
#import "YHFlowerMenu.h"

@interface ViewController () <YHFlowerDelegate>
@property (nonatomic, strong) YHFlowerMenu *menu;
@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    NSArray *images = @[[UIImage imageNamed:@"menu1.png"],[UIImage imageNamed:@"menu2.png"],[UIImage imageNamed:@"menu3.png"],[UIImage imageNamed:@"menu4.png"],[UIImage imageNamed:@"menu5.png"]];
    self.menu = [[YHFlowerMenu alloc]initWithSuperView:self.view buttonArray:images];
    self.menu.delegate = self;
    [self.view addSubview:self.menu];
}

- (void)flowerButtonSelected:(NSInteger)index{
    NSLog(@"点击：%lu",(unsigned long)index);
    [self.menu hide];
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
